Прайс-листи: методи API Bimp
Методи API Bimp для ресурсу «Прайс-листи» (/org2/priceList/…): 7 методів. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.
| Метод | Що робить |
|---|---|
POST /org2/priceList/api-readList | A request to view a list of price lists |
POST /org2/priceList/api-read | A request to obtain detailed information for a particular price list |
POST /org2/priceList/api-create | A request to create a new price list |
POST /org2/priceList/api-update | A request to update information to an existing price list |
POST /org2/priceList/api-readPrice | A request to obtain prices for price lists |
POST /org2/priceList/api-createPrice | A request to create a new price |
POST /org2/priceList/api-updatePrice | A request to update information to an existing price |
api-readList
POST /org2/priceList/api-readList
A request to view a list of price lists
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
pagination | object | так | |
pagination.offset | number | так | Begin from {offset} elements |
pagination.count | number | так | Limit of paginated elemets |
main | boolean | Is this the main price list? |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
[].name | string | Price list name |
[].uuid | string | A unique uuid key for a price list |
[].main | boolean | Is this price list main? |
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-readList' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-read
POST /org2/priceList/api-read
A request to obtain detailed information for a particular price list
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for an Price list |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string | A unique uuid key for a price list |
name | string | Price list name |
description | string | Price list description |
main | boolean | Is this price list main? |
currency | string | A unique name for the Currency, obtainable from the /currency/api-readList request |
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-read' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-create
POST /org2/priceList/api-create
A request to create a new price list
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
name | string | так | Price list name |
currency | string | так | A unique name for the Currency, obtainable from the /currency/api-readList request |
description | string | Price list description |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string | A unique uuid key for a price list |
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-create' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"name":"string","currency":"string"}'
api-update
POST /org2/priceList/api-update
A request to update information to an existing price list
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string | так | A unique uuid key for a price list |
name | string | Price list name | |
description | string | Price list description | |
currency | string | A unique name for the Currency, obtainable from the /currency/api-readList request |
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-update' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"string"}'
api-readPrice
POST /org2/priceList/api-readPrice
A request to obtain prices for price lists
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
priceListUuid | string (uuid) | так | A unique identifier for the Price List, obtainable from the /priceList/api-readList request |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
[].nomenclatureUuid | string | |
[].prices | object[] | |
[].prices[].amount | number | |
[].prices[].date | string | |
[].prices[].currency | string |
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-readPrice' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"priceListUuid":"00000000-0000-0000-0000-000000000000"}'
api-createPrice
POST /org2/priceList/api-createPrice
A request to create a new price
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
nomenclatureUuid | string (uuid) | так | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
priceListUuid | string (uuid) | так | A unique identifier for the Price List, obtainable from the /priceList/api-readList request |
amount | number | так | Price amount |
date | string (date-time) |
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-createPrice' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"nomenclatureUuid":"00000000-0000-0000-0000-000000000000","priceListUuid":"00000000-0000-0000-0000-000000000000","amount":1}'
api-updatePrice
POST /org2/priceList/api-updatePrice
A request to update information to an existing price
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
nomenclatureUuid | string (uuid) | так | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
priceListUuid | string (uuid) | так | A unique identifier for the Price List, obtainable from the /priceList/api-readList request |
amount | number | так | Price amount |
date | string (date-time) | так |
curl -X POST 'https://app.bimpsoft.com/org2/priceList/api-updatePrice' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"nomenclatureUuid":"00000000-0000-0000-0000-000000000000","priceListUuid":"00000000-0000-0000-0000-000000000000","amount":1,"date":"2026-11-01T00:00:00.000Z"}'
Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.